Extending Qt Creator Manual | HighlightScrollBar

Extending Qt Creator Manual 4.5.2

# HighlightScrollBar Class

(Core::HighlightScrollBar)

- List of all members, including inherited members

## Public Functions

| HighlightScrollBar(Qt::Orientation orientation, QWidget *parent = 0)
| ~HighlightScrollBar() override
void | addHighlight(Highlight highlight)
bool | eventFilter(QObject *, QEvent *event) override
void | removeAllHighlights()
void | removeHighlights(Id id)
void | setRangeOffset(float offset)
void | setVisibleRange(float visibleRange)

## Protected Functions

void | changeEvent(QEvent *even) override
void | hideEvent(QHideEvent *event) override
void | moveEvent(QMoveEvent *event) override
void | resizeEvent(QResizeEvent *event) override
void | showEvent(QShowEvent *event) override

## Member Function Documentation

### HighlightScrollBar::HighlightScrollBar(Qt::Orientation orientation, QWidget *parent = 0)

Default constructs an instance of HighlightScrollBar.

### HighlightScrollBar::~HighlightScrollBar()

Destroys the instance of HighlightScrollBar.

### void HighlightScrollBar::addHighlight(Highlight highlight)

### `[protected]` void HighlightScrollBar::changeEvent(QEvent *even)

### bool HighlightScrollBar::eventFilter(QObject *, QEvent *event)

### `[protected]` void HighlightScrollBar::hideEvent(QHideEvent *event)

### `[protected]` void HighlightScrollBar::moveEvent(QMoveEvent *event)

### void HighlightScrollBar::removeAllHighlights()

### void HighlightScrollBar::removeHighlights(Id id)

### `[protected]` void HighlightScrollBar::resizeEvent(QResizeEvent *event)

### void HighlightScrollBar::setRangeOffset(float offset)

### void HighlightScrollBar::setVisibleRange(float visibleRange)

### `[protected]` void HighlightScrollBar::showEvent(QShowEvent *event)